Skip to main content
GET
/
me
/
workspaces
curl https://app.drime.cloud/api/v1/me/workspaces \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "workspaces": [
    {
      "id": 1873,
      "name": "My Workspace",
      "avatar": "https://www.gravatar.com/avatar/...",
      "owner_id": 15843,
      "created_at": "2025-12-18T18:39:07.000000Z",
      "updated_at": "2025-12-18T18:39:07.000000Z",
      "members_count": 1,
      "currentUser": {
        "role_name": "Workspace Owner",
        "email": "user@example.com",
        "workspace_id": 1873,
        "role_id": 3,
        "is_owner": true
      },
      "owner": {
        "role_name": "Workspace Owner",
        "email": "user@example.com",
        "is_owner": true
      }
    }
  ],
  "status": "success"
}

Overview

Returns a list of all workspaces the authenticated user belongs to, including their role and permissions in each workspace.

Query Parameters

workspaceId
integer
Optional. When provided, the response includes detailed permissions for the user in that specific workspace.

Response

workspaces
array
Array of workspace objects
status
string
Request status (success)
curl https://app.drime.cloud/api/v1/me/workspaces \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "workspaces": [
    {
      "id": 1873,
      "name": "My Workspace",
      "avatar": "https://www.gravatar.com/avatar/...",
      "owner_id": 15843,
      "created_at": "2025-12-18T18:39:07.000000Z",
      "updated_at": "2025-12-18T18:39:07.000000Z",
      "members_count": 1,
      "currentUser": {
        "role_name": "Workspace Owner",
        "email": "user@example.com",
        "workspace_id": 1873,
        "role_id": 3,
        "is_owner": true
      },
      "owner": {
        "role_name": "Workspace Owner",
        "email": "user@example.com",
        "is_owner": true
      }
    }
  ],
  "status": "success"
}